package com.tofly.feesapi.sfgl.service;

import com.tofly.feesapi.bjgl.entity.YhCbkxx;
import com.tofly.feesapi.common.core.dto.PageDto;
import com.tofly.feesapi.common.core.vo.PageResult;
import com.tofly.feesapi.sfgl.entity.ZnbCsjsLog;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tofly.feesapi.sfgl.entity.dto.ZnbCsjsFilter;
import com.tofly.feesapi.sfgl.entity.dto.ZnbCsjsListFilter;
import com.tofly.feesapi.sfgl.entity.vo.ZnbCsjsSelect;
import com.tofly.feesapi.yhgl.entity.YhKhjbxx;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.util.List;

public interface IZnbCsjsLogService extends IService<ZnbCsjsLog> {

    ZnbCsjsLog csjs(YhCbkxx cbkxx, YhKhjbxx khjbxx, String cwrq, BigDecimal scds, BigDecimal bcds, String cbLogId) throws Exception;

    ZnbCsjsLog getByCbLogId(String cbLogId);

    PageResult<ZnbCsjsSelect> getPage(PageDto pageDto, ZnbCsjsFilter filter);

    List<ZnbCsjsLog> getYhysmxList(ZnbCsjsListFilter filter);

    PageResult<ZnbCsjsLog> getYhysmxList2(PageDto pageDto, ZnbCsjsListFilter filter);

    void  znbZdsc(String cwrq);
}
